/*
** This file is part of the C Utility Toolkit (CUTK)
** Copyright (C) 2002-2005 Chris Osgood
** http://www.cutk.org
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
** Please report all bugs and problems to "bugs at cutk.org".
*/

/*
** Main header
**
** $Id: cutk.h 8 2005-01-02 16:25:13Z chris $
*/

#ifndef _CUTK_H
#define _CUTK_H

/* DLL import/export for Win32 */
#ifdef _WIN32
#define DllExport __declspec(dllexport);
#define DllImport __declspec(dllimport);
#else
#define DllExport
#define DllImport
#endif

/* Merge macro. Dual stage to allow multiple macro expansion */
#define m_X(a,b) a##b
#define m(a,b) m_X(a,b)

/* Inline */
#ifdef _MSC_VER
#define INLINE_X static __inline
#else
#define INLINE_X static inline
#endif

#ifdef NO_INLINE
#define INLINE static
#else
#define INLINE INLINE_X
#endif

#endif /* _CUTK_H */
