/*
** This file is part of the C Utility Toolkit (CUTK)
** Copyright (C) 2002-2005 Chris Osgood
** http://www.cutk.org
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
** Please report all bugs and problems to "bugs at cutk.org".
*/

/*
** Cross-platform DLL handling
**
** Function reference:
**   DllLoad   -- Loads DLL into memory
**   DllUnload -- Unloads DLL
**   DllSym    -- Locates a symbol in DLL
**
** $Id: dll.h 18 2005-01-12 03:22:52Z chris $
*/

#ifndef __INCLUDE_DLL_H__
#define __INCLUDE_DLL_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
typedef HMODULE Dll;
#else
typedef void* Dll;
#endif

Dll DllOpen(const char* path);
int DllClose(Dll dll);
void* DllSym(Dll dll, const char* sym);

#ifdef __cplusplus
}
#endif

#endif /* __INCLUDE_DLL_H__ */
