/*
** This file is part of the C Utility Toolkit (CUTK)
** Copyright (C) 2002-2005 Chris Osgood
** http://www.cutk.org
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
** Please report all bugs and problems to "bugs at cutk.org".
*/

/*
**  $Id: log.h 8 2005-01-02 16:25:13Z chris $
*/

#ifndef __INCLUDE_LOG_H__
#define __INCLUDE_LOG_H__

#ifdef __cplusplus
extern "C" {
#endif

void flogf_disable(void);
void flogf_enable(void);
void flogf_disableTime(void);
void flogf_enableTime(void);
void flogf_filename(const char* filename);
void flogf(const char* msg0, ...);

/*
** The following creates a marker in the log file.  It logs the function name,
** file name, and line number at the mark point.
*/
#define LOG_MARK flogf("%s (%s:%u)",__FUNCTION__,__FILE__,__LINE__)

#ifdef __cplusplus
}
#endif

#endif /* __INCLUDE_LOG_H__ */
