/*
** This file is part of the C Utility Toolkit (CUTK)
** Copyright (C) 2002-2005 Chris Osgood
** http://www.cutk.org
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2.1 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
** Please report all bugs and problems to "bugs at cutk.org".
*/

/*
** Define USLEEP_SLEEP if your system has a usleep function
**
** $Id: sleep.c 7 2005-01-02 01:02:22Z chris $
*/

#ifndef _WIN32

#include <cutk/sleep.h>
#include <time.h>

#ifdef USLEEP_SLEEP
#include <unistd.h>
#define Sleep(x) usleep(x)
#else

void Sleep(unsigned int ms)
{
   struct timespec tm;
   tm.tv_sec = ms / 1000;
   tm.tv_nsec = (ms % 1000) * 1000000;
   nanosleep(&tm, 0);
}

#endif

#endif

